Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.event
Interface SessionEventListener

All Known Implementing Classes:
  ConnectionMultiplexerManager

    public interface SessionEventListener

Interface to listen for session events. Use the `SessionEventDispatcher.addListener(SessionEventListener)` method to register for events.

Author:
  Matt Tucker

Method Summary
`void` | `anonymousSessionCreated(Session session)` Notification event indicating that an anonymous user has authenticated with the server.
`void` | `anonymousSessionDestroyed(Session session)` An authenticated session of an anonymous user was destroyed.
`void` | `resourceBound(Session session)` A session has finished resource binding.
`void` | `sessionCreated(Session session)` Notification event indicating that a user has authenticated with the server.
`void` | `sessionDestroyed(Session session)` An authenticated session of a non anonymous user was destroyed.

Method Detail

### sessionCreated

    void sessionCreated(Session session)

  Notification event indicating that a user has authenticated with the server. The authenticated user is not an anonymous user.

  Parameters:
    `session` - the authenticated session of a non anonymous user.

### sessionDestroyed

    void sessionDestroyed(Session session)

  An authenticated session of a non anonymous user was destroyed.

  Parameters:
    `session` - the authenticated session of a non anonymous user.

### anonymousSessionCreated

    void anonymousSessionCreated(Session session)

  Notification event indicating that an anonymous user has authenticated with the server.

  Parameters:
    `session` - the authenticated session of an anonymous user.

### anonymousSessionDestroyed

    void anonymousSessionDestroyed(Session session)

  An authenticated session of an anonymous user was destroyed.

  Parameters:
    `session` - the authenticated session of an anonymous user.

### resourceBound

    void resourceBound(Session session)

  A session has finished resource binding.

  Parameters:
    `session` - the session on which resource binding was performed.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.